#!/bin/sh
#
# This script demonstrates how to forward the listening port for a MySQL server
# to a remote host in such a way that other hosts located on a private network
# behind the remote host can speak to the MySQL server.
#
# In particular, this allows nodes in the UWM cluser to speak to the MySQL
# server on Brian's desktop.  You should run grid-proxy-init before running
# this script.

MYSQL_PORT=3306
MYSQL_HOST=mothra.phys.uwm.edu
REMOTE_HOST=contra.phys.uwm.edu

gsissh -n ${REMOTE_HOST} "ssh -N -g -L ${MYSQL_PORT}:localhost:${MYSQL_PORT} ${MYSQL_HOST}" &
