# $Id: WallClockSegGenerator.py,v 1.4 2005/11/03 16:56:57 kipp Exp $

#
# Preamble.
#

from glue import lal
from glue import segments
import onasys.SegGenerator


#
# A segment generator that simply tracks the daemon's clock.
#

class SegGeneratorConfig(onasys.SegGenerator.SegGeneratorConfig):
	def defaults(self):
		return [
			("delay", "0")
		]

	def parse(self):
		self.delay = self.parser.getfloat(self.section, "delay"))
		self.initial_epoch = lal.LIGOTimeGPS(self.parser.get(self.section, "initial_epoch"))


class SegGenerator(onasys.SegGenerator.SegGenerator):
	def generate(self, available, clock):
		if clock.now() - delay < self.config.initial_epoch:
			return {"available": segments.segmentlist()}
		return {"available": segments.segmentlist([segments.segment(self.config.initial_epoch, clock.now() - delay)])}
